// main: ../main.less

/* reset styles */
html,
body {
    margin: 0;
    padding: 0;
    display: block;
    font-size: 10px;
    font-family: 'Noto Sans TC', sans-serif;
}

/* main styles */
body {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-template-areas: "main";
    height: 100vh;
    width: 100vw;

    .header {
        display: grid;
        grid-template-columns: auto 1fr;
        width: 100%;
        padding: 1rem 2rem;

        position: fixed;
        top: 0;

        font-size: 2.5rem;
        color: @font;
        background: @transparentGreen;
        backdrop-filter: blur(5px);
        z-index: 10;
    }
    .fake-header {
        display: grid;
        width: 100%;
        height: 29px;
        padding: 1rem 2rem;

        position: fixed;
        top: 0;

        background: @green;
        z-index: 0;
    }

    .page {
        display: grid;
        grid-template-rows: 1fr auto 5rem;
        grid-template-areas: "content" "treeImage" "footer";

        z-index: 1;

        .content {
            grid-area: content;
            display:grid;
            max-width: 1200px;
            padding-top: 5.5rem;

            max-width: 1200px;
            justify-self: center;

            .policy {
                padding: 5rem;

                font-size: 1.4rem;
            }

            .intro {
                display: grid;
                grid-template-columns: 1fr;
                grid-template-rows: 1fr auto;
                grid-gap: 3rem;
                padding: 5rem 3rem 7rem 3rem;

                position: relative;

                border-bottom: 1px solid @dividerColor;

                // &:after {
                //     content: "";
                //     width: 100%;
                //     height: 100%;

                //     position: absolute;
                //     z-index: -1;

                //     background: @green;
                //     --mask:
                //         radial-gradient(9.33rem at 50% calc(100% - 12.80rem), #000 99%, #0000 101%) calc(50% - 16rem) 0/32rem 100%,
                //         radial-gradient(9.33rem at 50% calc(100% + 4.80rem), #0000 99%, #000 101%) 50% calc(100% - 8rem)/32rem 100% repeat-x;
                //     -webkit-mask: var(--mask);
                //     mask: var(--mask);

                //     @media screen {
                //         @media (min-width: 768px) {
                //             height: calc(100% - 6rem);
                //         }
                //     }
                // }

                @media screen {
                    @media (min-width: 768px) {
                        grid-template-columns: 1fr 1fr;
                        grid-template-rows: 1fr;
                        grid-gap: 5rem;
                    }
                }

                .details {
                    display: grid;

                    font-size: 1.75rem;

                    .join-text {
                        justify-self: center;

                        font-size: 2.5rem;

                        .arrow-right {
                            display: none;
                        }
                    
                        .arrow-down {
                            display: inline-block;
                        }

                        @media screen {
                                @media (min-width: 768px) {
                                    .arrow-right {
                                        display: inline-block;
                                    }
                                    .arrow-down {
                                        display: none;
                                    }
                                }
                            }
                    }
                }

                .waiting-list {
                    display: grid;
                    padding: 2rem;

                    font-size: 1.5rem;
                    background: @lightBlue;
                    border-radius: 0.5rem;

                    filter: drop-shadow(1px 5px 5px @darkBlue);

                    p {
                        margin-top: 0;
                        padding-bottom: 1rem;
                    }

                    form {
                        display: grid;
                        grid-row-gap: 1rem;
                        padding: 2rem;

                        border: none;
                        border-radius: 0.5rem;
                        background: @mediumBlue;

                        label {
                            display: none;
                        }

                        input {
                            padding: 1rem 1.5rem;
                            
                            border: none;
                            border-radius: 0.5rem;
                            outline: none;
                        }

                        button {
                            padding: 1rem 1.5rem;
                            
                            border: 0.2rem solid @darkBlue;
                            border-radius: 0.5rem;
                            background: @mediumDarkBlue;
                            color: @white;
                            outline: none;
                            font-size: 1.5rem;
                            font-weight: 700;
                            cursor: pointer;
                        
                            &:hover {
                                background: @darkBlue;
                                color: @lightBlue;
                            }
                        }
                    }
                }
            }

            .cya {
                display: grid;
                max-width: 60rem;
                padding: 3rem 3rem 5rem 3rem;

                justify-self: center;

                font-size: 1.5rem;

                .contact {
                    display: grid;
                    grid-template-areas: "directly divider social";
                    grid-template-columns: auto auto 1fr;
                    grid-column-gap: 4rem;
                    margin-left: 1rem;

                    .directly {
                        grid-area: directly;

                        a {
                            color: @font;
                            line-height: 50px;
                            text-decoration: underline;
                        }
                    }
                    .divider {
                        grid-area: divider;
                        width: 1px;
                        background: @dividerColor;
                    }
                    .social {
                        grid-area: social;
                    }
                }
            }
        }

        .tree-img {
            grid-area: treeImage;
            max-width: 100%;

            img {
                max-width: 100%;
            }
        }

        .footer {
            grid-area: footer;
            display: grid;
            grid-template-columns: 1fr auto;
            align-items: center;
            padding: 0 1rem;

            .copywright {
                font-size: 1.5rem;
                font-weight: 700;
                color: @font;
            }

            .links {
                display: grid;
                justify-items: end;
                grid-auto-flow: column;
                grid-gap: 1rem;

                font-size: 1.2rem;
            }

            a {
                color: @font;
                text-decoration: none;
            }
        }
    }
}